## at 3.1.23

=== debian/changelog ===
at (3.1.23-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Build-Depends to use debhelper (>= 9.20160709) instead of
    dh-systemd. (Closes: #958611)

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Sep 2020 13:19:04 +0200

at (3.1.23-1) unstable; urgency=medium

  * New release 3.1.23:
    - Finished the release script.
  * New release 3.1.22:
    - Draft of a release script.
  * New release 3.1.21:
    - Fix call to fcntl (Closes: #832368).
    - Improvements to ayd.service (Closes: #892819).
    - On reboot remove stale jobs (Closes: #885891).
    - Some fixes on the manual pages (Closes: #897669), (Closes: #897670).
    - Remove no longer valid email from manpages (Closes: #883730).
    
  * Drop patches accepted by upstream.

 -- Jose M Calhariz <calhariz@debian.org>  Tue, 24 Jul 2018 10:17:21 +0100

at (3.1.20-6) unstable; urgency=medium

  * Fix Vcs-* fields

 -- Jose M Calhariz <calhariz@debian.org>  Sat, 26 May 2018 16:29:58 +0100

at (3.1.20-5) unstable; urgency=medium

  * Previous build was rejected because of wrong orig.tar.gz

 -- Jose M Calhariz <calhariz@debian.org>  Sun, 22 Apr 2018 18:43:25 +0100

at (3.1.20-4) unstable; urgency=medium

  * Acknowledge the NMU and incorporated the changes.
  * Updated email of Maintainer.
  * Move repository to salsa.debian.org.

 -- Jose M Calhariz <calhariz@debian.org>  Sun, 22 Apr 2018 12:57:48 +0100

at (3.1.20-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate perl dependency with :any (Closes: #848909)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 31 Oct 2017 19:08:59 +0100

=== debian/control ===
Source: at
Section: admin
Priority: standard
Maintainer: Jose M Calhariz <calhariz@debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>,
Standards-Version: 3.9.8
Build-Depends: autotools-dev,
               bison,
               debhelper (>= 9.20160709),
               flex,
               libfl-dev,
               libpam0g-dev,
               libselinux1-dev [linux-any],
               perl:any (>= 5.10.1),
Vcs-Browser: https://salsa.debian.org/debian/at
Vcs-Git: https://salsa.debian.org/debian/at.git -b debian
Homepage: http://blog.calhariz.com


Package: at
Architecture: any
Multi-Arch: foreign
Depends: libpam-runtime (>= 1.0.1-11),
         lsb-base (>= 3.2-14),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: default-mta | mail-transport-agent,
Description: Delayed job execution and batch processing
 At and batch read shell commands from standard input
 storing them as a job to be scheduled for execution in the
 future.
 .
 Use
  at    to run the job at a specified time
  batch to run the job when system load levels permit

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifeq ($(DEB_HOST_ARCH_OS),linux)
  WITH_SELINUX=--with-selinux
endif

confflags = --with-loadavg_mx=1.5 \
            --with-jobdir=/var/spool/cron/atjobs \
            --with-atspool=/var/spool/cron/atspool \
            --with-systemdsystemunitdir=/lib/systemd/system \
            $(WITH_SELINUX) \
            SENDMAIL=/usr/sbin/sendmail

build: build-arch build-indep
build-arch: build-stamp
build-stamp:
	dh_update_autotools_config
	dh_auto_configure -- $(confflags)
	dh_auto_build
	dh_auto_test
	touch $@

build-indep:
# Nothing to be done here.

clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

binary-indep:
# Nothing to be done here

binary-arch: build-stamp
	dh_testroot
	dh_prep
	# Install docs:
	dh_installchangelogs ChangeLog
	dh_installdocs README
	# Install everything:
	$(MAKE) IROOT=$(CURDIR)/debian/at mandir=/usr/share/man docdir=/usr/share/doc install
	# Remove (duplicate) changelog and copyright:
	rm debian/at/usr/share/doc/at/Copyright
	rm debian/at/usr/share/doc/at/ChangeLog
	# TODO: Take care of those:
	rm -f debian/at/var/spool/cron/atjobs/.SEQ
	chown daemon:daemon debian/at/var/spool/cron/atjobs debian/at/var/spool/cron/atspool
	# TODO: Why removing those?
	rm debian/at/usr/sbin/atrun
	rm debian/at/usr/share/man/man8/atrun.8
	# Install/rename pam config file:
	dh_install pam.conf etc/pam.d
	mv debian/at/etc/pam.d/pam.conf \
		debian/at/etc/pam.d/atd
	# Install/rename init script:
	dh_install rc etc/init.d
	mv debian/at/etc/init.d/rc \
		debian/at/etc/init.d/atd
	chmod 755 debian/at/etc/init.d/atd
	chmod 644 debian/at/etc/pam.d/atd
	dh_systemd_enable
	dh_installinit --name=atd --onlyscripts -- defaults 89 11
	dh_lintian
	dh_systemd_start
	# Needed to keep in line with the previous upload:
	chown root:daemon debian/at/etc/at.deny
	dh_compress
	dh_installdeb
	dh_shlibdeps
	dh_strip
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

=== debian/watch ===
# Debian is upstream for this package.
version=4
opts="mode=git" https://anonscm.debian.org/git/collab-maint/at.git \
refs/tags/upstream/([\d\.]+) debian uupdate

## at 3.2.5

=== debian/changelog ===
at (3.2.5-2.2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Replace Recommends on "default-mta | mail-transport-agent" with
      Suggests to prevent this seeded package from pulling in an MTA on
      Ubuntu by default (LP: #1968874).
    - d/tests/basic-usage
      fix possible race condition in test case by scheduling further into the
      future, also ensure UTC timestamps are generated, and finally fix
      incorrect test for resultant output file

 -- John Chittum <john.chittum@canonical.com>  Mon, 02 Jun 2025 12:01:57 -0400

at (3.2.5-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Ensure /etc/{init,pam}.d/atd are owned by root, even when built
    without fakeroot. (Closes: #1104701)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 04 May 2025 23:01:38 +0200

at (3.2.5-2.1ubuntu4) plucky; urgency=medium

  * debian/tests/basic-usage: fix possible race-condition in test case by
    scheduling further into the future, also ensure UTC timestamps are
    generated and finally fix incorrect test for resultant output file

 -- Alex Murray <alex.murray@canonical.com>  Mon, 18 Nov 2024 22:18:54 +1030

at (3.2.5-2.1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:24:54 +1100

at (3.2.5-2.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libpam0g.

 -- Rik Mills <rikmills@kde.org>  Thu, 28 Mar 2024 13:12:05 +0000

at (3.2.5-2.1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040367). Remaining changes:
    - Replace Recommends on "default-mta | mail-transport-agent" with
      Suggests to prevent this seeded package from pulling in an MTA on
      Ubuntu by default (LP #1968874).

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Fri, 09 Feb 2024 16:07:33 -0700

at (3.2.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Defer placement of systemd units to systemd.pc. (Closes: #1054012)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 18 Dec 2023 03:33:04 +0100

at (3.2.5-2) unstable; urgency=medium

  * Fix a race condition on DEP8 test?

 -- Jose M Calhariz <calhariz@debian.org>  Sun, 25 Jun 2023 22:46:36 +0100

at (3.2.5-1ubuntu1) jammy; urgency=medium

  * Replace Recommends on "default-mta | mail-transport-agent" with
    Suggests to prevent this seeded package from pulling in an MTA on
    Ubuntu by default (LP: #1968874).

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 14 Apr 2022 01:23:36 +0100

at (3.2.5-1) unstable; urgency=medium

  * Fix: atd forgets to run a job in the queue (Closes: #1004972), thank
    you Vincent Lefevre for the analisys and the fix.

 -- Jose M Calhariz <calhariz@debian.org>  Sat, 05 Feb 2022 10:03:59 +0000

at (3.2.4-2) unstable; urgency=medium

  * No errors on experimental means unstable now.

 -- Jose M Calhariz <calhariz@debian.org>  Wed, 02 Feb 2022 20:47:17 +0000

at (3.2.4-1) experimental; urgency=medium

  * New release 3.2.3
    * Jose M Calhariz
      - Fix two typos on documentation
    * Giulio Benetti
      MR14 - Makefile: fix parallel build failure
      MR12 - Makefile.in: use DESTDIR instead of IROOT
      MR11 - Use quotes to include config.h since it is a local file.
      MR8 - .gitignore: add all files produced during building
      MR13 - getloadavg: use standard fcntl.h for open(), close(), read() and write()
    * Danilo Spinella
      MR16 - Fix leaks in at.c
      MR19 - Avoid sleeping when SIGHUP has been received
      MR17 - Set PIDDIR to /run if exists on the system
    * Jan Staněk
      MR15 - Address issues raised by static analysis

  * New release at 3.2.4 (2022-01-29):
    * Danillo Spinella
      - Use POSIX timers to wait on next job
      - Add timeformat argument in at.c
      - Use secure_getenv when available
      - Add O_SYNC option when opening atjob file
      - Fix mtime check in atd.c
        https://bugzilla.suse.com/show_bug.cgi?id=680113
      - MR18 - Use POSIX timers to wait on next job
        Upstreaming openSUSE patch: https://build.opensuse.org/package/view_file/Base:System/at/at-3.1.14-usePOSIXtimers.patch?expand=0&rev=d84f9fe442d5b5cce89c22d52581dfa4
      - MR21 - Add timeformat argument in at.c
        Upstreaming openSUSE patch: https://build.opensuse.org/package/view_file/Base:System/at/at-atq-timeformat.patch?expand=1
      - MR23 - Use secure_getenv when available
        https://build.opensuse.org/package/view_file/Base:System/at/at-secure_getenv.patch?expand=1
        - MR25 - Fix mtime check in atd.c
          https://bugzilla.suse.com/show_bug.cgi?id=680113
        - MR22 - Print the selected jobs in atq
          https://build.opensuse.org/package/view_file/Base:System/at/at-3.1.14-joblist.patch?expand=1
        - MR24 - Add O_SYNC option when opening atjob file
  [ Utkarsh Gupta ]
  * MR26 - d/t/{control, basic-usage}: Add DEP8 test

 -- Jose M Calhariz <calhariz@debian.org>  Sat, 29 Jan 2022 17:04:09 +0000

at (3.2.2-1) experimental; urgency=medium

  [ Jose M Calhariz ]
  * New release 3.2.2
    * Jose M Calhariz
      -  Add helper script batch-job
  * New release 3.2.1
    * Jose M Calhariz
      - Include config.h on parsetime.l, see
        88a3bed41de234220f007c785e3aa45bd62446c6 for more info and
        original author.
      - Check if libc provides __isleap() macro, see
        02a0a98d94b24284177dad7747edbdc3088d63cd
  * New release 3.2.0:
    * Jose M Calhariz
      - Print time of new job before the input of the commands,
        (Closes: #863045)
      - Do not drop seconds on -t option, (Closes: #792040)
      - Start using nice levels from 0 instead of 2. (Closes: #519716)
      - Correctly handle DST when specifying a UTC time. (Closes: #364975)
    * Gerhard Poul:
      - Add flag to send email to other user. MR 5
  * Clean patches directory.
  * Update Build-Depends, silent lintian warning.
  * Add public PGP of upstream aka myself.


=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: at
 Section: admin
 Priority: standard
-Maintainer: Jose M Calhariz <calhariz@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jose M Calhariz <calhariz@debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>,
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 Build-Depends: autotools-dev,
                bison,
                debhelper (>= 9.20160709),
@@ -12,9 +13,12 @@
                libpam0g-dev,
                libselinux1-dev [linux-any],
                perl:any (>= 5.10.1),
+               pkgconf,
+               systemd-dev,
 Vcs-Browser: https://salsa.debian.org/debian/at
 Vcs-Git: https://salsa.debian.org/debian/at.git -b debian
 Homepage: http://blog.calhariz.com
+Rules-Requires-Root: binary-targets
 
 
 Package: at
@@ -24,7 +28,7 @@
          lsb-base (>= 3.2-14),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: default-mta | mail-transport-agent,
+Suggests: default-mta | mail-transport-agent,
 Description: Delayed job execution and batch processing
  At and batch read shell commands from standard input
  storing them as a job to be scheduled for execution in the

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 confflags = --with-loadavg_mx=1.5 \
             --with-jobdir=/var/spool/cron/atjobs \
             --with-atspool=/var/spool/cron/atspool \
-            --with-systemdsystemunitdir=/lib/systemd/system \
+            --with-systemdsystemunitdir=$(shell pkgconf --variable=systemdsystemunitdir systemd) \
             $(WITH_SELINUX) \
             SENDMAIL=/usr/sbin/sendmail
 
@@ -59,6 +59,7 @@
 		debian/at/etc/init.d/atd
 	chmod 755 debian/at/etc/init.d/atd
 	chmod 644 debian/at/etc/pam.d/atd
+	chown root:root debian/at/etc/init.d/atd debian/at/etc/pam.d/atd
 	dh_systemd_enable
 	dh_installinit --name=atd --onlyscripts -- defaults 89 11
 	dh_lintian

## at cmds-38

=== Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = at_cmds

PROJECTVERSION = 2.8
PROJECT_TYPE = Aggregate

TOOLS = appleping.tproj atlookup.tproj appletalk.tproj setdbg.tproj\
        at_cho_prn.tproj atstatus.tproj atprint.tproj

LIBRARIES = chooser tuple_pr

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble

MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = aggregate.make
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


HEADER_PATHS =\
               -I$(NEXT_ROOT)$(SYSTEM_LIBRARY_DIR)/Frameworks/System.framework/PrivateHeaders/bsd/netat
NEXTSTEP_PB_CFLAGS = -DNEXT -D_ATCMD


NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== appleping.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = appleping

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = appleping.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble m.template\
            h.template appleping.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/bin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppleTalk


NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== appletalk.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = appletalk

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = appletalk.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble m.template\
            h.template appletalk.8 appletalk.cfg.5


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/sbin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppleTalk


NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== at_cho_prn.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = at_cho_prn

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = at_cho_prn.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble m.template\
            h.template at_cho_prn.8


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/bin
LIBS = -ltuple_pr -lchooser
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppleTalk


NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== atlookup.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = atlookup

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = atlookup.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble m.template\
            h.template atlookup.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/bin
LIBS = -ltuple_pr
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppleTalk


NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== atprint.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = atprint

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = atprint.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble m.template\
            h.template atprint.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/bin
LIBS = -lchooser
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppleTalk


NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== atstatus.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = atstatus

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = atstatus.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble m.template\
            h.template atstatus.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/bin
LIBS = -lchooser
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppleTalk


NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== chooser/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = chooser

PROJECTVERSION = 2.8
PROJECT_TYPE = Library

CFILES = chooser.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble m.template\
            h.template


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CURRENTLY_ACTIVE_VERSION = YES
DEPLOY_WITH_VERSION_NAME = A
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = library.make
NEXTSTEP_INSTALLDIR = /usr/local/lib
WINDOWS_INSTALLDIR = $(HOMEDRIVE)$(LOCAL_DEVELOPER_DIR)/Libraries
PDO_UNIX_INSTALLDIR = /usr/local/lib
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppleTalk


WINDOWS_PUBLIC_HEADERS_DIR = $(HOMEDRIVE)$(LOCAL_DEVELOPER_DIR)/Headers/$(NAME)

PDO_UNIX_PUBLIC_HEADERS_DIR = $(LOCAL_DEVELOPER_DIR)/Headers/$(NAME)

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== setdbg.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = setdbg

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = setdbg.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble m.template\
            h.template setdbg.8


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/local/bin
LIBS =
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppleTalk


NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== tuple_pr/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = tuple_pr

PROJECTVERSION = 2.8
PROJECT_TYPE = Library

CFILES = tuple_pr.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble m.template\
            h.template


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CURRENTLY_ACTIVE_VERSION = YES
DEPLOY_WITH_VERSION_NAME = A
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = library.make
NEXTSTEP_INSTALLDIR = /usr/local/lib
WINDOWS_INSTALLDIR = $(HOMEDRIVE)$(LOCAL_DEVELOPER_DIR)/Libraries
PDO_UNIX_INSTALLDIR = /usr/local/lib
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppleTalk


WINDOWS_PUBLIC_HEADERS_DIR = $(HOMEDRIVE)$(LOCAL_DEVELOPER_DIR)/Headers/$(NAME)

PDO_UNIX_PUBLIC_HEADERS_DIR = $(LOCAL_DEVELOPER_DIR)/Headers/$(NAME)

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

## at cmds-55

=== appletalk.tproj/Makefile ===
--- 
+++ 
@@ -26,9 +26,10 @@
 DEBUG_LIBS = $(LIBS)
 PROF_LIBS = $(LIBS)
 
+HEADER_PATHS =\
+               -I$(NEXT_ROOT)$(SYSTEM_LIBRARY_DIR)/Frameworks/System.framework/PrivateHeaders
 
 FRAMEWORKS = -framework AppleTalk
-
 
 NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
 WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc

=== setdbg.tproj/Makefile ===
--- 
+++ 
@@ -26,6 +26,8 @@
 DEBUG_LIBS = $(LIBS)
 PROF_LIBS = $(LIBS)
 
+HEADER_PATHS =\
+               -I$(NEXT_ROOT)$(SYSTEM_LIBRARY_DIR)/Frameworks/System.framework/PrivateHeaders
 
 FRAMEWORKS = -framework AppleTalk

## at demo

=== Makefile ===
#*******************************************************************************
# include ZTE application makefile
#*******************************************************************************
include $(zte_app_mak)


####################################################################
# ҪһЩϢ
####################################################################
mdir_y += com
mdir_y += at_client
mdir_y += user_demo

####################################################################
# Ŀ궨
####################################################################

#*******************************************************************************
# targets
#*******************************************************************************
all:
	@echo "==========> zte FOTA compile <=========="	
	@for i in $(mdir_y) ; do \
		[ ! -d "$$i" ] || $(MAKE) -C $$i || exit $$?; \
	done
	
romfs:
	@for i in $(mdir_y) ; do \
		[ ! -d "$$i" ] || $(MAKE) -C $$i romfs || exit $$?; \
	done

clean:
	@echo "==========> zte FOTA clean <=========="
	@rm -rvf ./libs/*
	@rm -rvf ./bins/*
	@for i in $(mdir_y) ; do \
		[ ! -d "$$i" ] || $(MAKE) -C $$i clean || exit $$?; \
	done
